﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Plane.Copters;

namespace Plane.FormationCreator.Formation
{
    public partial class FlightTaskSingleCopterInfo
    {
        // This file is added by ZJF
        public static FlightTaskSingleCopterInfo CreateForLandTask(ICopter copter, int landWaitTime)
        {
            var info = new FlightTaskSingleCopterInfo(copter)
            {
                LandWaitTime = (ushort)landWaitTime
            };
            return info;
        }

        private ushort _LandWaitTime = 5;
        public ushort LandWaitTime
        {
            get { return _LandWaitTime; }
            set { Set(nameof(LandWaitTime), ref _LandWaitTime, value); }
        }
    }
}